MediaObject Class

Defines a media object.

You probably want to use the sub-classes and not this class directly. Known sub-classes are: ImageObject

Variables are only populated by the server, and will be ignored when sending a request.

All required parameters must be populated in order to send to Azure.

Inheritance
MediaObject

Constructor

MediaObject(**kwargs)

Parameters

_type
str
Required

Required. Constant filled by server.

Variables

id
str

A String identifier.

read_link
str

The URL that returns this resource. To use the URL, append query parameters as appropriate and include the Ocp-Apim-Subscription-Key header.

web_search_url
str

The URL to Bing's search result for this item.

name
str

The name of the thing represented by this object.

url
str

The URL to get more information about the thing represented by this object.

image
ImageObject

An image of the item.

description
str

A short description of the item.

alternate_name
str

An alias for the item.

bing_id
str

An ID that uniquely identifies this item.

thumbnail_url
str

The URL to a thumbnail of the item.

provider
list[Thing]

The source of the creative work.

date_published
str

The date on which the CreativeWork was published.

text
str

Text content of this creative work.

content_url
str

Original URL to retrieve the source (file) for the media object (e.g., the source URL for the image).

host_page_url
str

URL of the page that hosts the media object.

content_size
str

Size of the media object content. Use format "value unit" (e.g., "1024 B").

encoding_format
str

Encoding format (e.g., png, gif, jpeg, etc).

host_page_display_url
str

Display URL of the page that hosts the media object.

width
int

The width of the media object, in pixels.

height
int

The height of the media object, in pixels.